{
	"model": {
		"type": "select",
		"property": "custom_model_data",
		"fallback": {
			"type": "model",
			"model": "item/carrot_on_a_stick"
		},
		"cases": [
			{
				"when": "health_plus_1",
				"model": {
					"type": "model",
					"model": "item/health_plus_1"
				}
			},
			{
				"when": "health_minus_1",
				"model": {
					"type": "model",
					"model": "item/health_minus_1"
				}
			},
			{
				"when": "luck_plus_1",
				"model": {
					"type": "model",
					"model": "item/luck_plus_1"
				}
			},
			{
				"when": "luck_minus_1",
				"model": {
					"type": "model",
					"model": "item/luck_minus_1"
				}
			},
			{
				"when": "swiftness_plus_1",
				"model": {
					"type": "model",
					"model": "item/swiftness_plus_1"
				}
			},
			{
				"when": "slowness_plus_1",
				"model": {
					"type": "model",
					"model": "item/slowness_plus_1"
				}
			},
			{
				"when": "attack_plus_1",
				"model": {
					"type": "model",
					"model": "item/attack_plus_1"
				}
			},
			{
				"when": "xp_plus_1",
				"model": {
					"type": "model",
					"model": "item/xp_plus_1"
				}
			},
			{
				"when": "saturation_plus_1",
				"model": {
					"type": "model",
					"model": "item/saturation_plus_1"
				}
			},
			{
				"when": "reset_upgrades",
				"model": {
					"type": "model",
					"model": "item/reset_upgrades"
				}
			}
		]
	}
}